View Issue Details

IDProjectCategoryView StatusLast Update
0012382LazarusPrinterpublic2009-06-12 19:06
ReporterNyitrai PéterAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.24Product Build 
Target Version0.9.28Fixed in Version1.0.0 
Summary0012382: PageSetupDialog is not always modal
DescriptionWhen the PageSetupDialog1.Execute method called from a modal form, PageSetupDialog will be not modal. See the attached project.
Compile and run the program, click on the button, Form2 will appears. Now click on the button named "PageSetupDialog1.Execute", a Page Setup dialog will be appeared. Form2 will remain accessible, you can open the PageSetupDialog for unlimited times.
TagsNo tags attached.
Fixed in Revision18629
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0012366 closedPaul Ishenin TOpenDialog and TSaveDialog undesired feature in Win32 

Activities

2008-10-13 17:42

 

pagesetupdialog.zip (3,539 bytes)

Nyitrai Péter

2008-11-02 18:16

reporter   ~0023095

Maybe it's the same problem as 12366.

Paul Ishenin

2009-02-10 15:38

manager   ~0025244

Please test and close if ok.

Nyitrai Péter

2009-06-12 19:06

reporter   ~0028501

Ok.

Issue History

Date Modified Username Field Change
2008-10-13 17:42 Nyitrai Péter New Issue
2008-10-13 17:42 Nyitrai Péter File Added: pagesetupdialog.zip
2008-10-13 17:42 Nyitrai Péter Widgetset => Win32
2008-10-13 20:08 Jesus Reyes Status new => assigned
2008-10-13 20:08 Jesus Reyes Assigned To => Jesus Reyes
2008-11-02 18:16 Nyitrai Péter Note Added: 0023095
2008-11-02 21:58 Vincent Snijders Relationship added related to 0012366
2009-02-10 15:38 Paul Ishenin Fixed in Revision => 18629
2009-02-10 15:38 Paul Ishenin LazTarget => 1.0
2009-02-10 15:38 Paul Ishenin Status assigned => resolved
2009-02-10 15:38 Paul Ishenin Fixed in Version => 1.0.0
2009-02-10 15:38 Paul Ishenin Resolution open => fixed
2009-02-10 15:38 Paul Ishenin Note Added: 0025244
2009-02-10 15:39 Paul Ishenin Target Version => 0.9.28
2009-06-12 19:06 Nyitrai Péter Status resolved => closed
2009-06-12 19:06 Nyitrai Péter Note Added: 0028501